Skip to content

Delete a customer request

DELETE/api/v1/workspaces/{workspace_slug}/customers/{customer_id}/requests/{resource_id}/

Permanently delete a customer request and unlink any linked issue

Path Parameters

customer_id:requiredstring

The unique identifier of the customer.

resource_id:requiredstring

The unique identifier of the resource.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes

customers.requests:write

Delete a customer request
bash
curl -X DELETE \
  "https://api.plane.so/api/v1/workspaces/my-workspace/customers/customer-uuid/requests/resource-id-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.